import { createContext, useContext } from "react";

export const userContext = createContext({
  user: null,
  userRoles: [],
  login: () => {},
  logout: () => {}
});

export const useUserContext = () => {
  const { user, userRoles, login, logout } = useContext(userContext);
  return { user, userRoles, login, logout };
};
