import moment from "moment";

/**
 * Converts date string into ISO 8601 date-time format
 * @param {*} value date value from server
 * @returns date and time string in ISO 8601 format
 */
export const formatDateAndTime = (value) => {
  if (value) {
    return moment(value).format("YYYY-MM-DD HH:mm:ss");
  }
  return null;
};

export const formatRelativeTime = (value) => {
  if (value) {
    return moment(value).fromNow();
  }
  return null;
};

/**
 * Converts date string into ISO 8601 date format
 * @param {*} value date value from server
 * @returns date string in ISO 8601 format
 */
export const formatDateOnly = (value) => {
  if (value) {
    return moment(value).format(dateFormat());
  }
  return null;
};

export const dateFormat = () => {
  return "YYYY-MM-DD";
};
