import "@testing-library/jest-dom/extend-expect";
import { server } from "./mocks/msw/server";

global.console = {
  log: jest.fn(), // console.log are ignored in tests

  // Keep native behaviour for other methods, use those to print out things in your own tests, not `console.log`
  error: console.error,
  warn: console.warn,
  info: console.info,
  debug: console.debug
};

beforeAll(() => {
  // Enable the mocking in tests.
  server.listen({ onUnhandledRequest: "warn" });
});

afterEach(() => {
  // Reset any runtime handlers tests may use.
  server.resetHandlers();
});

afterAll(() => {
  // Clean up once the tests are done.
  server.close();
});
