import React, { useEffect, useState } from "react";
import {
  Editor,
  editorModes,
  editorThemes
} from "../../components/code/Editor";
import { files } from "../../mocks/Editor/Editor";

export default {
  title: "Code/Editor"
};

export const Showcase = ({ filename, value, ...props }) => {
  const [editorValue, setEditorValue] = useState();

  useEffect(() => {
    const val = value || files[filename];
    setEditorValue(val);
  }, [filename, value]);

  return (
    <Editor
      name="example-editor"
      {...props}
      filename={filename}
      value={editorValue}
      onChange={setEditorValue}
    />
  );
};

Showcase.args = {
  readOnly: true,
  filename: "startup.mustache",
  theme: "monokai",
  mode: undefined,
  value: "",
  width: "100%",
  height: "90vh"
};

Showcase.argTypes = {
  filename: {
    options: Object.keys(files),
    control: { type: "select" }
  },
  mode: {
    options: [undefined, ...editorModes],
    control: { type: "select" }
  },
  theme: {
    options: editorThemes,
    control: { type: "select" }
  }
};
