import React, { useEffect, useState } from "react";
import { JSONEditor } from "../../components/code/JSONEditor";
import { editorModes, editorThemes } from "../../components/code/Editor";
import { sbDisabledArg } from "../utils/common-args";
import { schemaTwo, invalid } from "../../mocks/Editor/Editor";

export default {
  title: "Code/JSONEditor"
};

export const Validate = (args) => {
  const [value, setValue] = useState();
  useEffect(() => {
    setValue(args.value);
  }, [args.filename, args.value]);

  return (
    <JSONEditor
      name="example-editor"
      {...args}
      value={value}
      onChange={setValue}
    />
  );
};

Validate.args = {
  showAlerts: true,
  maxAlerts: 3,
  readOnly: false,
  schema: schemaTwo,
  theme: "monokai",
  value: JSON.stringify(invalid, null, 2)
};

Validate.argTypes = {
  filename: {
    options: ["startup.sh", "startup.mustache", "schema.json", "Editor.js"],
    control: { type: "select" }
  },
  mode: {
    options: [null, ...editorModes],
    control: { type: "select" }
  },
  theme: {
    options: editorThemes,
    control: { type: "select" }
  },
  schema: sbDisabledArg,
  value: sbDisabledArg
};
