import React from "react";
import { InlineStepper, Stepper } from "../../../components/common/Stepper";
import { Stack, Typography } from "@mui/material";

export default {
  title: "Common/Stepper"
};

const Template = (props) => {
  return (
    <Stack
      gap={2}
      height="50vh"
      justifyContent="space-between"
    >
      <Stack gap={1}>
        <Typography variant="h3">Regular:</Typography>
        <Stepper {...props} />
      </Stack>
      <Stack gap={1}>
        <Typography variant="h3">Inline:</Typography>
        <InlineStepper {...props} />
      </Stack>
    </Stack>
  );
};

export const Default = (args) => <Template {...args} />;
Default.args = {
  steps: ["Gathering Ingredients", "Mixing Together", "Cooking"],
  activeStep: 1,
  isActiveStepFailed: true
};
